cascading.flow.planner.iso

## Class GraphResult<R extends ElementGraph>

- java.lang.Object
- - cascading.flow.planner.iso.GraphResult<R>

- Direct Known Subclasses:
    Asserted, Partitions, Transformed

      public abstract class GraphResult<R extends ElementGraph>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ElementGraph` | `getBeginGraph()`
    `abstract R` | `getEndGraph()`
    `abstract String` | `getRuleName()`
    `protected String` | `makeFileName(int ordinal, String name, String state)`
    `protected int` | `writeBeginGraph(String path, int count)`
    `abstract void` | `writeDOTs(String path)`
    `protected void` | `writeEndGraph(String path, int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphResult

          public GraphResult()

  - ### Method Detail

    - #### getBeginGraph

          public abstract ElementGraph getBeginGraph()

    - #### getRuleName

          public abstract String getRuleName()

    - #### getEndGraph

          public abstract R getEndGraph()

    - #### writeDOTs

          public abstract void writeDOTs(String path)

    - #### writeEndGraph

          protected void writeEndGraph(String path,
                           int count)

    - #### writeBeginGraph

          protected int writeBeginGraph(String path,
                            int count)

    - #### makeFileName

          protected String makeFileName(int ordinal,
                            String name,
                            String state)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.